cmath File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Macros

#define | _EXT_CMATH

## Variables

template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__e
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__gamma_e
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__ln_10
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__ln_2
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__ln_3
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__log10_e
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__log2_e
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__one_div_e
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__one_div_pi
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__one_div_root_2
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__phi
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__pi
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__pi_half
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__pi_quarter
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__pi_third
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__root_2
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__root_3
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__root_5
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__root_7
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__root_pi_div_2
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__two_div_pi
template<typename _RealType>
constexpr _RealType | __gnu_cxx::__math_constants< _RealType >::__two_div_root_pi

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file ext/cmath.

## Macro Definition Documentation

## _EXT_CMATH

#define _EXT_CMATH

Definition at line 30 of file ext/cmath.